com.independentsoft.exchange

## Enum StandardFolder

- java.lang.Object
- - java.lang.Enum<StandardFolder>
  - - com.independentsoft.exchange.StandardFolder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StandardFolder>

      public enum StandardFolder
      extends java.lang.Enum<StandardFolder>

  Identifies well-known Microsoft Exchange Server folders that can be referenced by name.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN_AUDIT_LOGS` Specifies the admin audit logs folder.
    `ARCHIVE_DELETED_ITEMS` The Deleted Items folder in the archive mailbox.
    `ARCHIVE_MESSAGE_FOLDER_ROOT` The root of the message folder hierarchy in the archive mailbox.
    `ARCHIVE_RECOVERABLE_ITEMS_DELETIONS` The root of the folder hierarchy of recoverable items that have been soft-deleted from the Deleted Items folder of the archive mailbox.
    `ARCHIVE_RECOVERABLE_ITEMS_PURGES` The root of the hierarchy of recoverable items that have been hard-deleted from the Deleted Items folder of the archive mailbox.
    `ARCHIVE_RECOVERABLE_ITEMS_ROOT` The root of the Recoverable Items folder hierarchy in the archive mailbox.
    `ARCHIVE_RECOVERABLE_ITEMS_VERSIONS` The root of the Recoverable Items versions folder hierarchy in the archive mailbox.
    `ARCHIVE_ROOT` The root of the folder hierarchy in the archive mailbox.
    `CALENDAR` Represents the Calendar folder.
    `CONFLICTS` Specifies the conflicts folder.
    `CONTACTS` Represents the Contacts folder.
    `CONVERSATION_HISTORY` Specifies the conversation history folder.
    `DELETED_ITEMS` Represents the Deleted Items folder.
    `DIRECTORY` Specifies a directory.
    `DRAFTS` Represents the Drafts folder.
    `IM_CONTACT_LIST` Specifies the IM contact list folder.
    `INBOX` Represents the Inbox folder.
    `JOURNAL` Represents the Journal folder.
    `JUNK_EMAIL` Represents the Junk E-mail folder.
    `LOCAL_FAILURES` Specifies the local failures folder.
    `MAILBOX_ROOT` The root of the message folder hierarchy.
    `MY_CONTACTS` Specifies the my contacts folder.
    `NONE` Non standard folder.
    `NOTES` Represents the Notes folder.
    `OUTBOX` Represents the Outbox folder.
    `PEOPLE_CONNECT` Specifies the folder that is used for social networks.
    `PUBLIC_FOLDERS_ROOT` The root of the Public Folders hierarchy.
    `QUICK_CONTACTS` Specifies the quick contacts folder.
    `RECIPIENT_CACHE` Specifies the recipient cache folder.
    `RECOVERABLE_ITEMS_DELETIONS` The root of the folder hierarchy of recoverable items that have been soft-deleted from the Deleted Items folder.
    `RECOVERABLE_ITEMS_PURGES` The root of the folder hierarchy of recoverable items that have been hard-deleted from the Deleted Items folder.
    `RECOVERABLE_ITEMS_ROOT` The root of the Recoverable Items folder hierarchy.
    `RECOVERABLE_ITEMS_VERSIONS` The root of the Recoverable Items versions folder hierarchy in the archive mailbox.
    `ROOT` Represents the root of the mailbox.
    `SEARCH_FOLDERS` Represents a Search folder contained in a mailbox.
    `SENT_ITEMS` Represents the Sent Items folder.
    `SERVER_FAILURES` Specifies the server failures folder.
    `SYNC_ISSUES` Specifies the sync issues folder.
    `TASKS` Represents the Tasks folder.
    `TO_DO_SEARCH` Specifies the to do search folder.
    `VOICE_MAIL` Represents the Voice Mail folder.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StandardFolder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StandardFolder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CALENDAR

          public static final StandardFolder CALENDAR

      Represents the Calendar folder.

    - #### CONTACTS

          public static final StandardFolder CONTACTS

      Represents the Contacts folder.

    - #### DELETED_ITEMS

          public static final StandardFolder DELETED_ITEMS

      Represents the Deleted Items folder.

    - #### DRAFTS

          public static final StandardFolder DRAFTS

      Represents the Drafts folder.

    - #### INBOX

          public static final StandardFolder INBOX

      Represents the Inbox folder.

    - #### JOURNAL

          public static final StandardFolder JOURNAL

      Represents the Journal folder.

    - #### NOTES

          public static final StandardFolder NOTES

      Represents the Notes folder.

    - #### OUTBOX

          public static final StandardFolder OUTBOX

      Represents the Outbox folder.

    - #### SENT_ITEMS

          public static final StandardFolder SENT_ITEMS

      Represents the Sent Items folder.

    - #### TASKS

          public static final StandardFolder TASKS

      Represents the Tasks folder.

    - #### MAILBOX_ROOT

          public static final StandardFolder MAILBOX_ROOT

      The root of the message folder hierarchy.

    - #### PUBLIC_FOLDERS_ROOT

          public static final StandardFolder PUBLIC_FOLDERS_ROOT

      The root of the Public Folders hierarchy.

    - #### ROOT

          public static final StandardFolder ROOT

      Represents the root of the mailbox.

    - #### JUNK_EMAIL

          public static final StandardFolder JUNK_EMAIL

      Represents the Junk E-mail folder.

    - #### SEARCH_FOLDERS

          public static final StandardFolder SEARCH_FOLDERS

      Represents a Search folder contained in a mailbox.

    - #### VOICE_MAIL

          public static final StandardFolder VOICE_MAIL

      Represents the Voice Mail folder.

    - #### ARCHIVE_DELETED_ITEMS

          public static final StandardFolder ARCHIVE_DELETED_ITEMS

      The Deleted Items folder in the archive mailbox.

    - #### ARCHIVE_MESSAGE_FOLDER_ROOT

          public static final StandardFolder ARCHIVE_MESSAGE_FOLDER_ROOT

      The root of the message folder hierarchy in the archive mailbox.

    - #### ARCHIVE_RECOVERABLE_ITEMS_DELETIONS

          public static final StandardFolder ARCHIVE_RECOVERABLE_ITEMS_DELETIONS

      The root of the folder hierarchy of recoverable items that have been soft-deleted from the Deleted Items folder of the archive mailbox.

    - #### ARCHIVE_RECOVERABLE_ITEMS_PURGES

          public static final StandardFolder ARCHIVE_RECOVERABLE_ITEMS_PURGES

      The root of the hierarchy of recoverable items that have been hard-deleted from the Deleted Items folder of the archive mailbox.

    - #### ARCHIVE_RECOVERABLE_ITEMS_ROOT

          public static final StandardFolder ARCHIVE_RECOVERABLE_ITEMS_ROOT

      The root of the Recoverable Items folder hierarchy in the archive mailbox.

    - #### ARCHIVE_RECOVERABLE_ITEMS_VERSIONS

          public static final StandardFolder ARCHIVE_RECOVERABLE_ITEMS_VERSIONS

      The root of the Recoverable Items versions folder hierarchy in the archive mailbox.

    - #### ARCHIVE_ROOT

          public static final StandardFolder ARCHIVE_ROOT

      The root of the folder hierarchy in the archive mailbox.

    - #### RECOVERABLE_ITEMS_DELETIONS

          public static final StandardFolder RECOVERABLE_ITEMS_DELETIONS

      The root of the folder hierarchy of recoverable items that have been soft-deleted from the Deleted Items folder.

    - #### RECOVERABLE_ITEMS_PURGES

          public static final StandardFolder RECOVERABLE_ITEMS_PURGES

      The root of the folder hierarchy of recoverable items that have been hard-deleted from the Deleted Items folder.

    - #### RECOVERABLE_ITEMS_ROOT

          public static final StandardFolder RECOVERABLE_ITEMS_ROOT

      The root of the Recoverable Items folder hierarchy.

    - #### RECOVERABLE_ITEMS_VERSIONS

          public static final StandardFolder RECOVERABLE_ITEMS_VERSIONS

      The root of the Recoverable Items versions folder hierarchy in the archive mailbox.

    - #### SYNC_ISSUES

          public static final StandardFolder SYNC_ISSUES

      Specifies the sync issues folder.

    - #### CONFLICTS

          public static final StandardFolder CONFLICTS

      Specifies the conflicts folder.

    - #### LOCAL_FAILURES

          public static final StandardFolder LOCAL_FAILURES

      Specifies the local failures folder.

    - #### SERVER_FAILURES

          public static final StandardFolder SERVER_FAILURES

      Specifies the server failures folder.

    - #### RECIPIENT_CACHE

          public static final StandardFolder RECIPIENT_CACHE

      Specifies the recipient cache folder.

    - #### QUICK_CONTACTS

          public static final StandardFolder QUICK_CONTACTS

      Specifies the quick contacts folder.

    - #### CONVERSATION_HISTORY

          public static final StandardFolder CONVERSATION_HISTORY

      Specifies the conversation history folder.

    - #### ADMIN_AUDIT_LOGS

          public static final StandardFolder ADMIN_AUDIT_LOGS

      Specifies the admin audit logs folder.

    - #### TO_DO_SEARCH

          public static final StandardFolder TO_DO_SEARCH

      Specifies the to do search folder.

    - #### MY_CONTACTS

          public static final StandardFolder MY_CONTACTS

      Specifies the my contacts folder.

    - #### DIRECTORY

          public static final StandardFolder DIRECTORY

      Specifies a directory.

    - #### IM_CONTACT_LIST

          public static final StandardFolder IM_CONTACT_LIST

      Specifies the IM contact list folder.

    - #### PEOPLE_CONNECT

          public static final StandardFolder PEOPLE_CONNECT

      Specifies the folder that is used for social networks.

    - #### NONE

          public static final StandardFolder NONE

      Non standard folder.

  - ### Method Detail

    - #### values

          public static StandardFolder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardFolder c : StandardFolder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardFolder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null